/* Header */

.header {
    .search-form {
        min-width: 250px;
    }
    &-logo {
        height: 8rem;
        display: block;
        svg {
            height: 100%;
        }
    }
    .navbar {
        &-static-top {
            margin-bottom: $grid-gutter-width;
        }
    } /* .navbar */
    &-navbar {
        &-brand {
            white-space: break-spaces;
        }
        &-nav {
           @include font-heading;
           font-size: .9rem;
           text-transform: uppercase;
           flex-flow: column;
           li {
                align-self: flex-start;
           }
           .nav-link {
            @extend .btn;
            @extend .btn-outline;
            @extend .rounded-pill;
            @extend .d-block;
            @extend .mb-3;
           }
        }
        &--tags {
            &.active {
                .tags-collapsed {
                    display: none;
                }
                background-color: color(theme-fourth);
                color: color(mono-white);
                body.dark-mode & {
                    background-color: color(mono-white);
                    color: color(mono-black);
                }
            }
            &.collapsed {
                .tags-close {
                    display: none;
                }
            }
        }
        &--vertical {
            min-width: 17rem;
            width: 17rem;
            height: 100vh;
            position: fixed;
            top: 0;
            right: 0;
            z-index: 1040;
            box-shadow: 3px 3px 20px rgba(0, 0, 0, 0.05);
            transition: all 0.25s;
            overflow-y: auto;
            background-color: color(theme-third-lightest);
            body.dark-mode & {
                background-color: color(mono-darkest);
            }
            @media screen and (max-height: 555px) {
                overflow-y: auto;
            }
            &-bottom {
                position: absolute;
                bottom: 0;
                left: 0;
                width: 100%;
            }
        }
        &--collapse {
            &-floating {
                @include media-breakpoint-down(md) {
                    display: none;
                    &.nonactive {
                        display: block;
                    }
                }
                display: none;
            }
            .bi {
                margin-right: 0;
            }
            .bi-text-left {
                display: none;
            }
            @media (max-width: 768px) {
                /*bottom: 1rem;
                right: 1rem;*/
                .bi-chevron-bar-right {
                    display: none;
                }
                .bi-text-left {
                    display: inline-block;
                }
            }
            &.nonactive {
                /*right: 2rem;*/
                .bi-text-left {
                    display: inline-block;
                }
                .bi-chevron-bar-right {
                    display: none;
                }
                @media (max-width: 768px) {
                    /*right: 1rem;*/
                    .bi-text-left {
                        display: none;
                    }
                    .bi-chevron-bar-right {
                        display: inline-block;
                    }
                } /* -collapse */
            }
        } /* -collapse */
        &--logo {
            position: fixed;
            top: 2rem;
            right: 15rem;
            font-size: 1em;
            z-index: 10000;
            right: -6rem;
            transition: right 0.5s ease;
            //display: none;
            .bi {
                margin-right: 0;
            }
            @media (max-width: 768px) {
                top: 1rem;
                right: 1rem;
            }
            &.nonactive {
                right: 2rem;
                //display: block;
                @media (max-width: 768px) {
                    right: 1rem;
                    //display: inline-block;
                } /* -collapse */
            }
        } /* -collapse */
    } /* -navbar */
} /* -header */

#header {
    &-navbar--vertical {
        @media (max-width: 768px) {
            margin-right: -17rem;
        }
        &.nonactive {
            margin-right: -17rem;
            @media (max-width: 768px) {
                margin-right: 0;
            }
        }
    }
}

.tags-container {
    @include media-breakpoint-down(md) {
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        padding-top: 4rem;
        padding-left: 3rem;
        padding-right: 3rem;
        z-index: 1000;
        overflow-y: scroll;
        background: color(theme-third-lightest);
        body.dark-mode & {
            background: color(mono-darkest);
        }
    }
}

.color-mode-toggle {
    .bi-moon-stars {
        display: block;
        body.dark-mode & {
            display: none;
        }
    }
    .bi-brightness-high {
        display: none;
        body.dark-mode & {
            display: block;
        }
    }
}